/*
 * Class STRING_TO_REAL_CONVERTOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_59 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_59 [] = {0xFF01,237,58,0xFFFF};
static const EIF_TYPE_INDEX egt_2_59 [] = {0xFF01,58,0xFFFF};
static const EIF_TYPE_INDEX egt_3_59 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_59 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_59 [] = {0xFF01,58,0xFFFF};
static const EIF_TYPE_INDEX egt_6_59 [] = {0xFF01,58,0xFFFF};
static const EIF_TYPE_INDEX egt_7_59 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_59 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_59 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_59 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_59 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_59 [] = {0xFF01,58,0xFFFF};
static const EIF_TYPE_INDEX egt_13_59 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_59 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_59[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_59), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_59), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_59), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_59), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_59), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_59), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_59), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_59), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_59), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_59), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_59), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_59), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x75 /*58*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_59), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 1162, 40},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1163, 32},
	{EIF_NON_GENERIC(0x019D /*206*/), 1164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1179, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1181, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1191, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 1192, 9},
	{EIF_GENERIC(egt_13_59), 1193, 0},
	{EIF_GENERIC(egt_14_59), 1194, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1242, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1244, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1195, 16},
	{EIF_GENERIC(NULL), 1230, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1196, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1197, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1198, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1199, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1231, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1200, 20},
	{EIF_NON_GENERIC(0x019D /*206*/), 1201, 24},
	{EIF_GENERIC(NULL), 1241, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1247, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1249, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1250, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1228, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 1229, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1233, 48},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1234, 56},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1235, 64},
	{EIF_NON_GENERIC(0x019D /*206*/), 1236, 28},
	{EIF_NON_GENERIC(0x017F /*191*/), 1237, 10},
	{EIF_NON_GENERIC(0x017F /*191*/), 1238, 11},
	{EIF_NON_GENERIC(0x017F /*191*/), 1239, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 1240, 13},
};
void Init59(void)
{
	IDSC(desc_59, 0, 58);
	IDSC(desc_59 + 1, 1, 58);
	IDSC(desc_59 + 32, 264, 58);
	IDSC(desc_59 + 55, 98, 58);
	IDSC(desc_59 + 74, 199, 58);
}


#ifdef __cplusplus
}
#endif
